------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Text_Io;
use Text_Io;


package body Version is



   procedure Copyright is 
   begin
      Put_Line(
         "Cheddar version " & Cheddar_Version &
         ", Copyright (C) 2002-2005, F. Singhoff, J. Legrand");
      Put_Line(
         "Cheddar is developped by the EA 2215 Team, University of Brest");
      Put_Line("Cheddar comes with ABSOLUTELY NO WARRANTY; ");
      Put_Line(
         "This is free software, and you are welcome to redistribute it");
      Put_Line(
         "under certain conditions; See the GNU General Public License for details.");
   end Copyright;



end Version;
