package Scheduler_Dfa is
   Aflex_Debug : Boolean := False;  
   Yytext_Ptr  : Integer;          
   -- points to start of yytext in buffer 
   -- yy_ch_buf has to be 2 characters longer than YY_BUF_SIZE because we need
   -- to put in 2 end-of-buffer characters (this is explained where it is
   -- done) at the end of yy_ch_buf
   Yy_Read_Buf_Size : constant Integer := 8192;  
   Yy_Buf_Size      : constant Integer := Yy_Read_Buf_Size * 2; 
   -- size of input buffer 
   type Unbounded_Character_Array is array (Integer range <>) of Character; 
   subtype Ch_Buf_Type is Unbounded_Character_Array(0..Yy_Buf_Size + 1);
   Yy_Ch_Buf : Ch_Buf_Type;  
   Yy_Cp,  
   Yy_Bp     : Integer;  

   -- yy_hold_char holds the character lost when yytext is formed
   Yy_Hold_Char : Character;  
   Yy_C_Buf_P   : Integer;   -- points to current character in buffer 
   function Yytext return String; 
   function Yylength return Integer; 
   procedure Yy_Do_Before_Action; 
   --These variables are needed between calls to YYLex.
   Yy_Init  : Boolean := True; -- do we need to initialize YYLex? 
   Yy_Start : Integer := 0;    -- current start state number 
   subtype Yy_State_Type is Integer;
   Yy_Last_Accepting_State : Yy_State_Type;  
   Yy_Last_Accepting_Cpos  : Integer;  
end Scheduler_Dfa;
