with Statements;
use Statements;
with Expressions;
use  Expressions;
use Expressions.Variables_Type_Package;
with Task_Set;
use Task_Set;


package Parser is




   -- Function to parse a scheduler behavior
   --
   procedure Yyparse; 


   -- Initiliaze parser Data
   -- Do initialize Simulation Data all together
   --
   procedure Init_Parser (
         My_Tasks : in     Tasks_Set ); 




   -- Root Pointers to the parsed code
   -- There is one Pointers per section
   --
   type Sections is 
         (Start,             
          Priority,          
          Election,          
          Activation,        
          Check_Resource,    
          Allocate_Resource, 
          Release_Resource); 


   type Section_Pointers is array (Sections'range) of Statement_Ptr; 

   Root_Statement_Pointer : Section_Pointers;  



   -- Table to store the list of Variables of 
   -- a parametric scheduler
   --
   Variables_Table : Variables_Table_Type;  



   -- Display list of Statements contained
   -- in a section
   --
   procedure Put (
         S : in     Section_Pointers ); 





end Parser;
