
----------------------------------------------------------------


with Text_Io;
use Text_Io;


package body Scheduler_Lex is

   procedure Print_Trace is 
   begin
      if Trace then
         Text_Io.Put(Yytext);
      end if;
   end Print_Trace;



   procedure Linenum is 
      Line_Number_String : constant String := Integer'Image (Lines);  
   begin
      Lines := Lines + 1;
      if Trace then
         Put("L");
         Put(Line_Number_String);
         for I in 1 .. 5 - Integer (Line_Number_String'Length)
               loop
            Text_Io.Put(" ");
         end loop;
      end if;

   end Linenum;




   function Yylex return Token is 
      subtype Short is Integer range -32768..32767;
      Yy_Act : Integer;  
      Yy_C   : Short;  

      -- returned upon end-of-file
      Yy_End_Tok       : constant Integer := 0;  
      Yy_End_Of_Buffer : constant         := 68;  
      subtype Yy_State_Type is Integer;
      Yy_Current_State :          Yy_State_Type;  
      Initial          : constant               := 0;  
      Yy_Accept        : constant
      array(0..340) of Short :=
         (   0,
         0,    0,   68,   67,   66,   65,   46,   47,   54,   52,
         42,   55,   53,   64,   43,   45,   58,   61,   59,   62,
         48,   49,   62,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   62,   62,   62,   62,   62,   62,   50,
         44,   51,   66,   40,    1,   60,    0,   64,   41,   56,
         57,   62,    0,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   21,   62,   62,   62,   62,   62,   62,
         62,   28,   62,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   62,    1,   63,   62,   29,   62,   62,
         62,   62,   62,   24,   62,   62,   62,   62,   19,   62,

         17,   18,   22,   30,   62,   20,   62,   62,   62,   12,
         62,   62,   62,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   25,   62,   62,   62,   62,   27,    0,    0,
         62,   62,   62,   62,   62,   62,   23,   62,   32,   62,
         62,   62,   62,   62,   62,   62,   62,   31,   62,   62,
         62,   62,   62,   62,   62,   62,   62,    0,    0,   62,
         26,   62,   62,    0,    3,   62,   62,   13,   62,   62,
         62,   62,    8,   62,   14,    0,   62,   62,   62,   62,
         7,   62,    0,   62,   62,    5,    0,    0,   62,   62,
         62,   62,   62,    9,   62,    0,   62,   62,   62,   62,

         0,   62,   62,   62,    0,   62,   62,   62,    0,   62,
         62,   62,    0,   62,   62,   62,   62,    0,   62,   62,
         62,   11,   62,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   62,   62,   62,   62,   62,   62,   62,
         10,   62,   62,   62,   62,   62,   62,   62,   62,   62,
         62,    0,   62,   62,   15,   16,   62,   62,   62,   62,
         62,    0,   62,   62,   62,    0,   62,   62,   62,   62,
         62,   62,   62,   62,   62,   62,   62,   62,   33,   62,
         62,   62,    0,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   62,   62,   62,   62,    0,   62,   62,

         62,    2,   35,   62,   34,    0,   62,    0,    6,   62,
         4,   62,   62,   62,   62,   62,   62,   62,   62,   62,
         62,   62,   62,   62,   62,   62,   62,   62,   62,   62,
         37,   62,   62,   62,   62,   36,   62,   38,   39,    0
         ) ;

      Yy_Ec : constant
      array(Ascii.Nul..Character'Last) of Short :=
         (   0,
         1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
         1,    2,    2,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    2,    1,    1,    1,    1,    1,    1,    1,    4,
         5,    6,    7,    8,    9,   10,   11,   12,   12,   12,
         12,   12,   12,   12,   12,   12,   12,   13,   14,   15,
         16,   17,    1,    1,   18,   18,   18,   18,   18,   18,
         18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
         18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
         19,    1,   20,    1,   21,    1,   22,   23,   24,   25,

         26,   27,   28,   29,   30,   18,   31,   32,   33,   34,
         35,   36,   18,   37,   38,   39,   40,   41,   42,   43,
         44,   18,   45,   46,   47,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1
         ) ;

      Yy_Meta : constant
      array(0..47) of Short :=
         (   0,
         1,    1,    2,    1,    1,    1,    1,    1,    1,    1,
         1,    3,    1,    1,    1,    1,    1,    3,    1,    1,
         3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
         3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
         3,    3,    3,    3,    1,    1,    1
         ) ;

      Yy_Base : constant
      array(0..342) of Short :=
         (   0,
         0,    0,  624,  625,  621,  625,  625,  625,  616,  625,
         625,  612,  604,   38,  603,  625,  602,  625,  601,  595,
         625,  625,   28,   30,   32,   31,   35,   33,   36,   50,
         51,   54,   43,   55,   61,   58,   69,   67,   73,  625,
         625,  625,  613,  625,    0,  625,  602,   93,  625,  625,
         625,  592,  591,   72,   75,   86,   87,   37,   88,   90,
         89,   91,   95,  590,   96,   97,   98,   99,  103,  106,
         101,  589,  108,  107,  113,  118,  115,  122,  120,  127,
         128,  124,  130,  135,    0,  597,  131,  587,  138,  147,
         146,  151,  152,  586,  141,  142,  160,  153,  585,  156,

         584,  583,  582,  581,  162,  580,  163,  164,  165,  579,
         166,  168,  170,  172,  174,  175,  180,  185,  187,  186,
         189,  190,  578,  193,  194,  198,  195,  577,  197,  201,
         204,  203,  210,  205,  207,  576,  575,  574,  573,  212,
         213,  222,  227,  572,  224,  230,  231,  571,  232,  233,
         234,  235,  237,  240,  241,  242,  570,  244,  247,  250,
         569,  251,  254,  256,  568,  257,  260,  567,  259,  566,
         565,  261,  564,  263,  563,  253,  262,  276,  274,  277,
         562,  278,  280,  284,  285,  561,  287,  290,  288,  560,
         289,  291,  295,  559,  558,  292,  301,  304,  557,  293,

         306,  307,  308,  556,  312,  313,  314,  315,  317,  325,
         322,  327,  329,  330,  334,  337,  338,  332,  340,  339,
         343,  555,  347,  348,  350,  351,  353,  355,  354,  359,
         362,  368,  360,  370,  374,  372,  376,  378,  554,  380,
         553,  381,  382,  384,  385,  387,  393,  390,  395,  552,
         396,  397,  392,  550,  547,  541,  400,  402,  403,  405,
         411,  412,  415,  417,  419,  422,  425,  424,  435,  429,
         426,  431,  540,  432,  436,  437,  438,  441,  625,  445,
         446,  439,  451,  456,  454,  459,  460,  461,  539,  464,
         462,  465,  471,  480,  476,  482,  356,  478,  216,  479,

         481,  214,  625,  483,  625,  486,  485,  487,  173,  489,
         134,  488,  496,  492,  491,  498,  505,  508,  510,  509,
         512,  513,  515,  516,  518,  517,  522,  519,  529,  520,
         625,  530,  544,  535,  545,  625,  546,  625,  625,  625,
         56,  569
         ) ;

      Yy_Def : constant
      array(0..342) of Short :=
         (   0,
         340,    1,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  341,
         340,  340,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  340,
         340,  340,  340,  340,  342,  340,  340,  340,  340,  340,
         340,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  342,  340,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,

         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,

         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  340,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,

         341,  341,  340,  341,  340,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         341,  341,  341,  341,  341,  341,  341,  341,  341,  341,
         340,  341,  341,  341,  341,  340,  341,  340,  340,    0,
         340,  340
         ) ;

      Yy_Nxt : constant
      array(0..672) of Short :=
         (   0,
         4,    5,    6,    7,    8,    9,   10,   11,   12,    4,
         13,   14,   15,   16,   17,   18,   19,   20,   21,   22,
         4,   23,   24,   25,   26,   27,   28,   20,   20,   29,
         20,   30,   31,   32,   33,   34,   35,   36,   37,   38,
         20,   39,   20,   20,   40,   41,   42,   47,   53,   48,
         53,   53,   53,   53,   62,   53,   53,   53,   52,   54,
         57,   55,   64,   53,   56,   58,   59,   63,   60,   65,
         53,   53,   68,   66,   53,   53,   91,   61,   53,   72,
         69,   53,   75,   77,   67,   70,   76,   53,   71,   53,
         79,   73,   53,   53,   74,   53,   78,   80,   81,   88,

         83,   84,   47,   87,   48,   82,   53,   53,   53,   53,
         53,   53,   90,   92,   94,   53,   53,   53,   53,   53,
         89,   53,   96,   53,   95,   93,   53,   53,   53,   99,
         103,   97,  100,   53,   98,   53,  102,  105,   53,  104,
         53,  101,   53,  111,   53,  106,  107,   53,   53,  108,
         53,   53,  113,  110,   53,   53,  109,  112,   53,  116,
         114,   53,   53,  115,  117,  118,   53,   53,  121,  119,
         120,   53,   53,   53,  122,  124,   53,  123,  127,  125,
         53,  126,   53,   53,   53,   53,   53,  132,   53,  133,
         53,  128,   53,   53,   53,   53,  131,  138,  136,  139,

         53,  140,  135,  137,  134,   53,   53,   53,  142,   53,
         53,  141,  143,   53,   53,   53,  144,  340,   53,  148,
         145,  340,  150,   53,   53,   53,  147,   53,  146,  149,
         53,  155,   53,   53,   53,  151,  308,  154,  161,  152,
         153,  156,   53,  162,   53,  157,  160,   53,  163,  165,
         53,   53,   53,   53,   53,   53,  167,   53,  169,  166,
         53,   53,   53,  168,  340,  177,  172,  340,  170,  171,
         53,   53,  173,  340,   53,  175,  340,   53,  174,   53,
         53,   53,   53,   53,  178,  192,  179,  181,  190,  180,
         191,  184,  182,  185,   53,  186,   53,   53,   53,  189,

         340,  193,  195,  197,   53,   53,  194,  340,   53,   53,
         340,   53,  340,   53,  206,   53,  202,  199,  198,  203,
         208,   53,  214,  200,   53,  212,  340,   53,   53,  207,
         210,  204,  340,   53,   53,   53,  220,  340,  211,  222,
         216,  217,   53,  221,  215,   53,  224,   53,  219,  340,
         53,  228,  340,  223,   53,  229,  225,   53,   53,   53,
         53,  230,  231,   53,  226,  233,  227,   53,   53,  232,
         53,   53,  236,   53,   53,   53,  306,  234,  240,   53,
         53,  239,   53,  235,  243,  237,  241,  244,   53,  238,
         53,  242,   53,  245,   53,  248,   53,  246,   53,  247,

         53,   53,   53,  253,   53,   53,  250,   53,  257,  249,
         53,  254,   53,   53,  251,   53,   53,  340,  264,  263,
         53,  258,   53,   53,  255,   53,  256,  259,  260,  261,
         265,   53,  340,  272,  270,   53,  269,   53,  267,   53,
         273,  268,  340,  276,   53,   53,   53,  279,  275,   53,
         271,   53,   53,  274,  277,   53,   53,   53,   53,   53,
         278,   53,  281,  280,  288,   53,   53,  282,  284,  290,
         285,  340,  287,  286,   53,  291,   53,  293,  289,   53,
         53,   53,   53,  300,   53,   53,  297,  294,  292,  299,
         301,   53,  303,  296,  305,  295,   53,  304,  340,   53,

         53,   53,   53,   53,  310,   53,  340,  340,   53,   53,
         313,   53,   53,  316,  302,  307,   53,  318,   53,  317,
         319,  320,  309,  312,  314,   53,  311,  315,   53,   53,
         53,  322,   53,   53,  331,   53,   53,   53,   53,   53,
         53,  325,   53,  321,  323,  328,  330,  324,  327,   53,
         53,  326,  329,  332,  334,   53,  336,  338,  339,  298,
         283,   53,  333,  335,   53,   53,   53,   53,  337,   85,
         266,   85,  262,   53,  252,   53,  218,  213,  209,   53,
         205,  201,  196,   53,   53,  188,  187,   53,  183,   53,
         176,   53,  164,   53,  159,   53,  158,   53,   53,   53,

         53,   53,   53,  130,  129,   53,   53,   53,   86,   53,
         53,  340,   53,   86,   43,   53,   51,   50,   49,   46,
         45,   44,   43,  340,    3,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340
         ) ;

      Yy_Chk : constant
      array(0..672) of Short :=
         (   0,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
         1,    1,    1,    1,    1,    1,    1,   14,   23,   14,
         24,   26,   25,   28,   28,   27,   29,   58,  341,   23,
         25,   23,   29,   33,   24,   26,   27,   28,   27,   29,
         30,   31,   31,   30,   32,   34,   58,   27,   36,   33,
         31,   35,   35,   36,   30,   31,   35,   38,   32,   37,
         37,   34,   54,   39,   34,   55,   36,   37,   37,   55,

         38,   39,   48,   54,   48,   37,   56,   57,   59,   61,
         60,   62,   57,   59,   60,   63,   65,   66,   67,   68,
         56,   71,   62,   69,   61,   59,   70,   74,   73,   66,
         70,   63,   67,   75,   65,   77,   69,   73,   76,   71,
         79,   68,   78,   78,   82,   74,   75,   80,   81,   76,
         83,   87,   80,   77,  311,   84,   76,   79,   89,   83,
         81,   95,   96,   82,   84,   87,   91,   90,   91,   89,
         90,   92,   93,   98,   92,   95,  100,   93,   98,   96,
         97,   97,  105,  107,  108,  109,  111,  107,  112,  108,
         113,  100,  114,  309,  115,  116,  105,  114,  112,  115,

         117,  116,  111,  113,  109,  118,  120,  119,  118,  121,
         122,  117,  119,  124,  125,  127,  120,  129,  126,  125,
         121,  130,  127,  132,  131,  134,  124,  135,  122,  126,
         133,  133,  140,  141,  302,  129,  299,  132,  141,  130,
         131,  134,  142,  142,  145,  135,  140,  143,  143,  145,
         146,  147,  149,  150,  151,  152,  147,  153,  150,  146,
         154,  155,  156,  149,  158,  158,  153,  159,  151,  152,
         160,  162,  154,  176,  163,  156,  164,  166,  155,  169,
         167,  172,  177,  174,  159,  177,  160,  163,  174,  162,
         176,  166,  164,  167,  179,  169,  178,  180,  182,  172,

         183,  178,  180,  182,  184,  185,  179,  187,  189,  191,
         188,  192,  196,  200,  191,  193,  187,  184,  183,  188,
         193,  197,  200,  185,  198,  198,  201,  202,  203,  192,
         196,  189,  205,  206,  207,  208,  206,  209,  197,  208,
         202,  203,  211,  207,  201,  210,  210,  212,  205,  213,
         214,  214,  218,  209,  215,  215,  211,  216,  217,  220,
         219,  216,  217,  221,  212,  219,  213,  223,  224,  218,
         225,  226,  223,  227,  229,  228,  297,  220,  227,  230,
         233,  226,  231,  221,  230,  224,  228,  231,  232,  225,
         234,  229,  236,  232,  235,  235,  237,  233,  238,  234,

         240,  242,  243,  240,  244,  245,  237,  246,  245,  236,
         248,  242,  253,  247,  238,  249,  251,  252,  252,  251,
         257,  246,  258,  259,  243,  260,  244,  247,  248,  249,
         253,  261,  262,  262,  260,  263,  259,  264,  257,  265,
         263,  258,  266,  266,  268,  267,  271,  269,  265,  270,
         261,  272,  274,  264,  267,  269,  275,  276,  277,  282,
         268,  278,  271,  270,  278,  280,  281,  272,  274,  281,
         275,  283,  277,  276,  285,  282,  284,  284,  280,  286,
         287,  288,  291,  291,  290,  292,  288,  285,  283,  290,
         292,  293,  294,  287,  296,  286,  295,  295,  298,  300,

         294,  301,  296,  304,  301,  307,  306,  308,  312,  310,
         307,  315,  314,  312,  293,  298,  313,  314,  316,  313,
         315,  316,  300,  306,  308,  317,  304,  310,  318,  320,
         319,  318,  321,  322,  327,  323,  324,  326,  325,  328,
         330,  321,  327,  317,  319,  324,  326,  320,  323,  329,
         332,  322,  325,  328,  330,  334,  333,  335,  337,  289,
         273,  256,  329,  332,  333,  335,  337,  255,  334,  342,
         254,  342,  250,  241,  239,  222,  204,  199,  195,  194,
         190,  186,  181,  175,  173,  171,  170,  168,  165,  161,
         157,  148,  144,  139,  138,  137,  136,  128,  123,  110,

         106,  104,  103,  102,  101,   99,   94,   88,   86,   72,
         64,   53,   52,   47,   43,   20,   19,   17,   15,   13,
         12,    9,    5,    3,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340,  340,  340,  340,  340,  340,  340,  340,  340,
         340,  340
         ) ;


      -- copy whatever the last rule matched to the standard output

      procedure Echo is 
      begin
         if (Text_Io.Is_Open(User_Output_File)) then
            Text_Io.Put( User_Output_File, Yytext );
         else
            Text_Io.Put( Yytext );
         end if;
      end Echo;

      -- enter a start condition.
      -- Using procedure requires a () after the ENTER, but makes everything
      -- much neater.

      procedure Enter (
            State : Integer ) is 
      begin
         Yy_Start := 1 + 2 * State;
      end Enter;

      -- action number for EOF rule of a given start state
      function Yy_State_Eof (
            State : Integer ) 
        return Integer is 
      begin
         return Yy_End_Of_Buffer + State + 1;
      end Yy_State_Eof;

      -- return all but the first 'n' matched characters back to the input stream
      procedure Yyless (
            N : Integer ) is 
      begin
         Yy_Ch_Buf(Yy_Cp) := Yy_Hold_Char;
         -- undo effects of setting up yytext
         Yy_Cp := Yy_Bp + N;
         Yy_C_Buf_P := Yy_Cp;
         Yy_Do_Before_Action; -- set up yytext again
      end Yyless;

      -- redefine this if you have something you want each time.
      procedure Yy_User_Action is 
      begin
         null;
      end;

      -- yy_get_previous_state - get the state just before the EOB char was reached

      function Yy_Get_Previous_State return Yy_State_Type is 
         Yy_Current_State : Yy_State_Type;  
         Yy_C             : Short;  
      begin
         Yy_Current_State := Yy_Start;

         for Yy_Cp in Yytext_Ptr..Yy_C_Buf_P - 1 loop
            Yy_C := Yy_Ec(Yy_Ch_Buf(Yy_Cp));
            if ( Yy_Accept(Yy_Current_State) /= 0 ) then
               Yy_Last_Accepting_State := Yy_Current_State;
               Yy_Last_Accepting_Cpos := Yy_Cp;
            end if;
            while ( Yy_Chk(Yy_Base(Yy_Current_State) + Yy_C) /=
                  Yy_Current_State ) loop
               Yy_Current_State := Yy_Def(Yy_Current_State);
               if ( Yy_Current_State >= 341 ) then
                  Yy_C := Yy_Meta(Yy_C);
               end if;
            end loop;
            Yy_Current_State := Yy_Nxt(Yy_Base(Yy_Current_State) + Yy_C);
         end loop;

         return Yy_Current_State;
      end Yy_Get_Previous_State;

      procedure Yyrestart (
            Input_File : File_Type ) is 
      begin
         null;
      end Yyrestart;

   begin -- of YYLex
      <<New_File>>
         -- this is where we enter upon encountering an end-of-file and
         -- yywrap() indicating that we should continue processing

         if ( Yy_Init ) then
         if ( Yy_Start = 0 ) then
            Yy_Start := 1;      -- first start state
         end if;

         -- we put in the '\n' and start reading from [1] so that an
         -- initial match-at-newline will be true.

         Yy_Ch_Buf(0) := Ascii.Lf;
         Yy_N_Chars := 1;

         -- we always need two end-of-buffer characters.  The first causes
         -- a transition to the end-of-buffer state.  The second causes
         -- a jam in that state.

         Yy_Ch_Buf(Yy_N_Chars) := Yy_End_Of_Buffer_Char;
         Yy_Ch_Buf(Yy_N_Chars + 1) := Yy_End_Of_Buffer_Char;

         Yy_Eof_Has_Been_Seen := False;

         Yytext_Ptr := 1;
         Yy_C_Buf_P := Yytext_Ptr;
         Yy_Hold_Char := Yy_Ch_Buf(Yy_C_Buf_P);
         Yy_Init := False;
      end if; -- yy_init

      loop                -- loops until end-of-file is reached


         Yy_Cp := Yy_C_Buf_P;

         -- support of yytext
         Yy_Ch_Buf(Yy_Cp) := Yy_Hold_Char;

         -- yy_bp points to the position in yy_ch_buf of the start of the
         -- current run.
         Yy_Bp := Yy_Cp;
         Yy_Current_State := Yy_Start;
         loop
            Yy_C := Yy_Ec(Yy_Ch_Buf(Yy_Cp));
            if ( Yy_Accept(Yy_Current_State) /= 0 ) then
               Yy_Last_Accepting_State := Yy_Current_State;
               Yy_Last_Accepting_Cpos := Yy_Cp;
            end if;
            while ( Yy_Chk(Yy_Base(Yy_Current_State) + Yy_C) /=
                  Yy_Current_State ) loop
               Yy_Current_State := Yy_Def(Yy_Current_State);
               if ( Yy_Current_State >= 341 ) then
                  Yy_C := Yy_Meta(Yy_C);
               end if;
            end loop;
            Yy_Current_State := Yy_Nxt(Yy_Base(Yy_Current_State) + Yy_C);
            Yy_Cp := Yy_Cp + 1;
            if ( Yy_Current_State = 340 ) then
               exit;
            end if;
         end loop;
         Yy_Cp := Yy_Last_Accepting_Cpos;
         Yy_Current_State := Yy_Last_Accepting_State;

         <<Next_Action>>
            Yy_Act := Yy_Accept(Yy_Current_State);
         Yy_Do_Before_Action;
         Yy_User_Action;

         if Aflex_Debug then
            -- output acceptance info. for (-d) debug mode
            Text_Io.Put( Standard_Error, "--accepting rule #" );
            Text_Io.Put( Standard_Error, Integer'Image(Yy_Act) );
            Text_Io.Put_Line( Standard_Error, "(""" & Yytext & """)");
         end if;


         <<Do_Action>>   -- this label is used only to access EOF actions
            case Yy_Act is
            when 0 => -- must backtrack
               -- undo the effects of YY_DO_BEFORE_ACTION
               Yy_Ch_Buf(Yy_Cp) := Yy_Hold_Char;
               Yy_Cp := Yy_Last_Accepting_Cpos;
               Yy_Current_State := Yy_Last_Accepting_State;
               goto Next_Action;


            when 1 =>
               --# line 2 "scheduler.l"

               if (Yytext = "--!TRACE")
                     then
                  Trace := not Trace;
               end if;
               Print_Trace;


            when 2 =>
               --# line 8 "scheduler.l"

               Print_Trace;
               return Double_Type_Task_Array_Token;


            when 3 =>
               --# line 12 "scheduler.l"

               Print_Trace;
               return Double_Type_Token;


            when 4 =>
               --# line 16 "scheduler.l"

               Print_Trace;
               return Integer_Type_Task_Array_Token;


            when 5 =>
               --# line 20 "scheduler.l"

               Print_Trace;
               return Integer_Type_Token;


            when 6 =>
               --# line 24 "scheduler.l"

               Print_Trace;
               return Boolean_Type_Task_Array_Token;


            when 7 =>
               --# line 28 "scheduler.l"

               Print_Trace;
               return Boolean_Type_Token;


            when 8 =>
               --# line 32 "scheduler.l"

               Print_Trace;
               return Random_Token;


            when 9 =>
               --# line 36 "scheduler.l"

               Print_Trace;
               return Uniform_Token;


            when 10 =>
               --# line 40 "scheduler.l"

               Print_Trace;
               return Exponential_Token;


            when 11 =>
               --# line 44 "scheduler.l"

               Print_Trace;
               return Time_Seed_Token;


            when 12 =>
               --# line 48 "scheduler.l"

               Print_Trace;
               return Set_Token;


            when 13 =>
               --# line 52 "scheduler.l"

               Print_Trace;
               return Forall_Token;


            when 14 =>
               --# line 56 "scheduler.l"

               Print_Trace;
               return Return_Token;


            when 15 =>
               --# line 60 "scheduler.l"

               Print_Trace;
               return Max_To_Index_Token;


            when 16 =>
               --# line 64 "scheduler.l"

               Print_Trace;
               return Min_To_Index_Token;


            when 17 =>
               --# line 68 "scheduler.l"

               Print_Trace;
               return Max_Token;


            when 18 =>
               --# line 72 "scheduler.l"

               Print_Trace;
               return Min_Token;


            when 19 =>
               --# line 76 "scheduler.l"

               Print_Trace;
               return Lcm_Token;


            when 20 =>
               --# line 80 "scheduler.l"

               Print_Trace;
               return Put_Token;


            when 21 =>
               --# line 84 "scheduler.l"

               Print_Trace;
               return If_Token;


            when 22 =>
               --# line 88 "scheduler.l"

               Print_Trace;
               return Mod_Token;


            when 23 =>
               --# line 92 "scheduler.l"

               Print_Trace;
               return Then_Token;


            when 24 =>
               --# line 96 "scheduler.l"

               Print_Trace;
               return End_Token;


            when 25 =>
               --# line 100 "scheduler.l"

               Print_Trace;
               return Else_Token;


            when 26 =>
               --# line 104 "scheduler.l"

               Print_Trace;
               return While_Token;


            when 27 =>
               --# line 108 "scheduler.l"

               Print_Trace;
               return Loop_Token;


            when 28 =>
               --# line 112 "scheduler.l"

               Print_Trace;
               return Or_Token;


            when 29 =>
               --# line 116 "scheduler.l"

               Print_Trace;
               return And_Token;


            when 30 =>
               --# line 120 "scheduler.l"

               Print_Trace;
               return Not_Token;


            when 31 =>
               --# line 124 "scheduler.l"

               Print_Trace;
               return False_Token;


            when 32 =>
               --# line 128 "scheduler.l"

               Print_Trace;
               return True_Token;


            when 33 =>
               --# line 132 "scheduler.l"

               Print_Trace;
               return Start_Token;


            when 34 =>
               --# line 136 "scheduler.l"

               Print_Trace;
               return Priority_Token;


            when 35 =>
               --# line 140 "scheduler.l"

               Print_Trace;
               return Election_Token;


            when 36 =>
               --# line 144 "scheduler.l"

               Print_Trace;
               return Activation_Token;


            when 37 =>
               --# line 148 "scheduler.l"

               Print_Trace;
               return Check_Resource_Token;


            when 38 =>
               --# line 152 "scheduler.l"

               Print_Trace;
               return Release_Resource_Token;


            when 39 =>
               --# line 156 "scheduler.l"

               Print_Trace;
               return Allocate_Resource_Token;


            when 40 =>
               --# line 160 "scheduler.l"

               Print_Trace;
               return Exp_Token;


            when 41 =>
               --# line 164 "scheduler.l"

               Print_Trace;
               return Affectation_Token;


            when 42 =>
               --# line 168 "scheduler.l"

               Print_Trace;
               return ',';


            when 43 =>
               --# line 172 "scheduler.l"

               Print_Trace;
               return ':';


            when 44 =>
               --# line 176 "scheduler.l"

               Print_Trace;
               return '|';


            when 45 =>
               --# line 180 "scheduler.l"

               Print_Trace;
               return ';';


            when 46 =>
               --# line 184 "scheduler.l"

               Print_Trace;
               return '(';


            when 47 =>
               --# line 188 "scheduler.l"

               Print_Trace;
               return ')';


            when 48 =>
               --# line 192 "scheduler.l"

               Print_Trace;
               return '[';


            when 49 =>
               --# line 196 "scheduler.l"

               Print_Trace;
               return ']';


            when 50 =>
               --# line 200 "scheduler.l"

               Print_Trace;
               return '{';


            when 51 =>
               --# line 204 "scheduler.l"

               Print_Trace;
               return '}';


            when 52 =>
               --# line 208 "scheduler.l"

               Print_Trace;
               return '+';


            when 53 =>
               --# line 212 "scheduler.l"

               Print_Trace;
               return '/';


            when 54 =>
               --# line 216 "scheduler.l"

               Print_Trace;
               return '*';


            when 55 =>
               --# line 220 "scheduler.l"

               Print_Trace;
               return '-';


            when 56 =>
               --# line 224 "scheduler.l"

               Print_Trace;
               return Inf_Equal_Token;


            when 57 =>
               --# line 228 "scheduler.l"

               Print_Trace;
               return Sup_Equal_Token;


            when 58 =>
               --# line 232 "scheduler.l"

               Print_Trace;
               return Inf_Token;


            when 59 =>
               --# line 236 "scheduler.l"

               Print_Trace;
               return Sup_Token;


            when 60 =>
               --# line 240 "scheduler.l"

               Print_Trace;
               return Not_Equal_Token;


            when 61 =>
               --# line 244 "scheduler.l"

               Print_Trace;
               return Equal_Token;


            when 62 =>
               --# line 248 "scheduler.l"

               Print_Trace;
               return Identifier_Token;


            when 63 =>
               --# line 252 "scheduler.l"

               Print_Trace;
               return Double_Token;


            when 64 =>
               --# line 256 "scheduler.l"

               Print_Trace;
               return Integer_Token;


            when 65 =>
               --# line 260 "scheduler.l"

               Linenum;
               Print_Trace;


            when 66 =>
               --# line 264 "scheduler.l"

               Print_Trace;


            when 67 =>
               --# line 267 "scheduler.l"
               Echo;
            when Yy_End_Of_Buffer + Initial + 1 =>
               return End_Of_Input;
            when Yy_End_Of_Buffer =>
               -- undo the effects of YY_DO_BEFORE_ACTION
               Yy_Ch_Buf(Yy_Cp) := Yy_Hold_Char;

               Yytext_Ptr := Yy_Bp;

               case Yy_Get_Next_Buffer is
                  when Eob_Act_End_Of_File =>
                     begin
                        if ( Yywrap ) then
                           -- note: because we've taken care in
                           -- yy_get_next_buffer() to have set up yytext,
                           -- we can now set up yy_c_buf_p so that if some
                           -- total hoser (like aflex itself) wants
                           -- to call the scanner after we return the
                           -- End_Of_Input, it'll still work - another
                           -- End_Of_Input will get returned.

                           Yy_C_Buf_P := Yytext_Ptr;

                           Yy_Act := Yy_State_Eof((Yy_Start - 1) / 2);

                           goto Do_Action;
                        else
                           --  start processing a new file
                           Yy_Init := True;
                           goto New_File;
                        end if;
                     end;
                  when Eob_Act_Restart_Scan =>
                     Yy_C_Buf_P := Yytext_Ptr;
                     Yy_Hold_Char := Yy_Ch_Buf(Yy_C_Buf_P);
                  when Eob_Act_Last_Match =>
                     Yy_C_Buf_P := Yy_N_Chars;
                     Yy_Current_State := Yy_Get_Previous_State;

                     Yy_Cp := Yy_C_Buf_P;
                     Yy_Bp := Yytext_Ptr;
                     goto Next_Action;
                  when others =>
                     null;
               end case; -- case yy_get_next_buffer()
            when others =>
               Text_Io.Put( "action # " );
               Text_Io.Put( Integer'Image(Yy_Act) );
               Text_Io.New_Line;
               raise Aflex_Internal_Error;
         end case; -- case (yy_act)
      end loop; -- end of loop waiting for end of file
   end Yylex;
   --# line 267 "scheduler.l"

end Scheduler_Lex;


